export declare type Trait = {
    bundleName: string;
    nFiles: number;
    malformed: boolean;
    msgs: {
        [key: string]: Message;
    };
    dupKeys: string[];
    phLeftOrphans: Trait[];
    phRightOrphans: Trait[];
};
export declare type Message = {
    length?: number;
    cDoubleLeftBraces?: number;
    cDoubleRightBraces?: number;
    hardCoded?: string[] | null;
    cHardCoded?: number;
    phKeys?: string[];
    phLeftOrphans?: string[] | null;
    phRightOrphans?: string[] | null;
};
/**
 * lintMessageFiles
 *
 * @param {Function} function(err)
 *
 * For all languages (including EN), check the followings:
 *   Directory structure (equivalent of initIntlDirs)
 *   File-level requirements for StrongLoop globalization, such as
 *     Number of message JSON files under language subdirectory
 *     File names
 *     Number of messages in each message JSON does not exceed GPS's limitation
 *     Length of key names does not exceed GPS's limitation
 *     Length of values does not exceed GPS's limitation
 *     Curly braces pair
 *     Place holder naming convention
 * For non-English languages
 *  Compatibility with EN messages on # of messages, key names, curly braces
 *  place holders, etc.
 *
 */
export declare function lintMessageFiles(enOnly: boolean): boolean;
