"use strict";
// Copyright IBM Corp. 2017,2018. All Rights Reserved.
// Node module: @loopback/core
// This file is licensed under the MIT License.
// License text available at https://opensource.org/licenses/MIT
Object.defineProperty(exports, "__esModule", { value: true });
// A temporary polyfill for util.promisify on Node.js 6.x
// Remove it as part of https://github.com/strongloop/loopback-next/issues/611
// tslint:disable:no-any
const util = require("util");
// The @types/util.promisify conflicts with @types/node due to rescoping
// issues, so falling back to legacy import.
const promisifyPolyfill = require('util.promisify/implementation');
const nativePromisify = util.promisify;
/**
 * Polyfill promisify and use `util.promisify` if available
 * @param func A callback-style function
 */
function promisify(func) {
    if (nativePromisify)
        return nativePromisify(func);
    // Once Node 6 has been dropped, we can remove this compatibility support.
    return promisifyPolyfill(func);
}
exports.promisify = promisify;
//# sourceMappingURL=promisify.js.map